RADTEST(1)

NAME
radtest - example RADIUS client program

SYNOPSIS
radtest [-d <called_id>] [-f] [-g <calling_id>] [-h] [-i <id>] [-p <port>] [-s <secret>] [-t <type>] [-v] [-x [ <level> ] ] -u <username> <password>

DESCRIPTION
radtest sends a RADIUS packet to a server running on the same host as radtest, and prints out the attributes returned.

OPTIONS

-h  Show summary of options.

-u <username> <password>
    Specifies username and password (notice that this takes two arguments).

-d <called_id>
    Sets Called Station Id.

-f  Send framed dialin hint. (-t overrides this.)

-g <calling_id>
    Sets Calling Station Id.

-i <id>
    Use id as the packet identifier.

-p <port>
    Use port as the port to connect to (defaults to definition in /etc/services, or 1645).

-s <secret>
    Specifies the RADIUS shared secret (defaults to "localkey").

-t <type>
    Send type as the service type (overrides -f). This is a number.

-v  Prints out the version.

-x [ <level> ]
    Sets the "verbose level" to level or without an argument, increments it. (Not used.)

SEE ALSO
radiusd(8)

BUGS
It doesn't support accounting packets. It always fills in the NAS-IP-Address as 127.0.0.1 and the NAS-Port as 1. Passwords longer than 16 characters are not supported. It looks for its dictionary in the same directory its run from.

AUTHOR
This manual page was written by Paul Martin <pm@debian.org>, for the Debian GNU/Linux system (but may be used by others).